Modify

Opened 6 months ago

Closed 4 months ago

#14400 closed defect (fixed)

NPE with a network timeout when undeleting objects

Reported by: naoliv Owned by: team
Priority: normal Milestone:
Component: Plugin undelete Version:
Keywords: Cc:

Description

I had a network problem/timeout:

2017-02-22 09:47:39.363 GRAVE: org.openstreetmap.josm.io.OsmTransferException: Não foi possível conectar com o servidor OSM. Por favor, verifique sua conexão de internet.. Causa: java.net.SocketTimeoutException: Read timed out
org.openstreetmap.josm.io.OsmTransferException: Não foi possível conectar com o servidor OSM. Por favor, verifique sua conexão de internet.
	at org.openstreetmap.josm.io.OsmServerReader.getInputStreamRaw(OsmServerReader.java:162)
	at org.openstreetmap.josm.io.OsmServerReader.getInputStreamRaw(OsmServerReader.java:110)
	at org.openstreetmap.josm.io.OsmServerReader.getInputStream(OsmServerReader.java:74)
	at org.openstreetmap.josm.io.OsmServerReader.getInputStream(OsmServerReader.java:57)
	at org.openstreetmap.josm.io.OsmServerHistoryReader.parseHistory(OsmServerHistoryReader.java:65)
	at org.openstreetmap.josm.gui.history.HistoryLoadTask.loadHistory(HistoryLoadTask.java:197)
	at org.openstreetmap.josm.gui.history.HistoryLoadTask.loadHistory(HistoryLoadTask.java:187)
	at org.openstreetmap.josm.gui.history.HistoryLoadTask.realRun(HistoryLoadTask.java:172)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:93)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:141)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
	at java.lang.Thread.run(Thread.java:745)
Caused by: java.net.SocketTimeoutException: Read timed out
	at java.net.SocketInputStream.socketRead0(Native Method)
	at java.net.SocketInputStream.socketRead(SocketInputStream.java:116)
	at java.net.SocketInputStream.read(SocketInputStream.java:171)
	at java.net.SocketInputStream.read(SocketInputStream.java:141)
	at sun.security.ssl.InputRecord.readFully(InputRecord.java:465)
	at sun.security.ssl.InputRecord.readV3Record(InputRecord.java:593)
	at sun.security.ssl.InputRecord.read(InputRecord.java:532)
	at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:973)
	at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1375)
	at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1403)
	at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1387)
	at sun.net.www.protocol.https.HttpsClient.afterConnect(HttpsClient.java:559)
	at sun.net.www.http.HttpClient.parseHTTPHeader(HttpClient.java:787)
	at sun.net.www.http.HttpClient.parseHTTP(HttpClient.java:647)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1569)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)
	at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)
	at sun.net.www.protocol.https.HttpsURLConnectionImpl.getResponseCode(HttpsURLConnectionImpl.java:338)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:129)
	at org.openstreetmap.josm.io.OsmServerReader.getInputStreamRaw(OsmServerReader.java:158)
	... 12 more

Which is fine.
But the undelete plugin gave a NullPointerException:

2017-02-22 09:47:40.666 GRAVE: java.lang.NullPointerException
java.lang.NullPointerException
	at org.openstreetmap.josm.plugins.undelete.UndeleteAction$Worker.run(UndeleteAction.java:67)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
	at java.lang.Thread.run(Thread.java:745)

Which I guess is not fine.

JOSM:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-02-21 01:04:28 +0100 (Tue, 21 Feb 2017)
Build-Date:2017-02-21 02:33:46
Revision:11590
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11590 pt_BR) Linux Debian GNU/Linux 9.0 (stretch)
Memory Usage: 839 MB / 10206 MB (496 MB allocated, but free)
Java version: 1.8.0_121-8u121-b13-3-b13, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1600x900, :0.1 1280x1024
Maximum Screen Size: 1600x1024
Java package: openjdk-8-jre:amd64-8u121-b13-3
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-13
VM arguments: [-Dawt.useSystemAAFontSettings=on]
Dataset consistency test: No problems found

Plugins:
+ Create_grid_of_ways (32699)
+ FastDraw (33004)
+ ImportImagePlugin (33028)
+ OpeningHoursEditor (33004)
+ PicLayer (33148)
+ RoadSigns (33088)
+ SimplifyArea (33004)
+ apache-commons (32994)
+ buildings_tools (33004)
+ conflation (0.3.0)
+ contourmerge (1030)
+ download_along (32946)
+ editgpx (33004)
+ ejml (32680)
+ geojson (52)
+ geotools (33042)
+ importvec (33088)
+ indoorhelper (33088)
+ jts (32699)
+ log4j (32699)
+ measurement (33088)
+ merge-overlap (33004)
+ opendata (33088)
+ pbf (33004)
+ pdfimport (33004)
+ poly (33004)
+ reverter (33088)
+ scripting (30764)
+ tageditor (33021)
+ todo (30000)
+ turnlanes (33088)
+ turnlanes-tagging (254)
+ turnrestrictions (33088)
+ undelete (32699)
+ utilsplugin2 (33124)

Attachments (0)

Change History (1)

comment:1 Changed 4 months ago by Don-vip

Resolution: fixed
Status: newclosed

Fixed in [o33263:33264].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.